<?php
/**
* Configure Kirki 
*/
function andaman_customizer_config() {
     
    $args = array(
        'textdomain'   => 'andaman',
    );
    return $args;
}
add_filter( 'kirki/config', 'andaman_customizer_config' );

function andaman_sections( $wp_customize ) {


    $wp_customize->add_section( 'andaman_header_section', array(
        'title'       => __( 'Header', 'andaman' ),
        'priority'    => 10,
    ) );

    $wp_customize->add_section( 'andaman_content', array(
        'title'       => __( 'Blog', 'andaman' ),
        'priority'    => 10,
    ) );

    $wp_customize->add_section( 'andaman_portfolio', array(
        'title'       => __( 'Portfolio', 'andaman' ),
        'priority'    => 10,
    ) );

    $wp_customize->add_section( 'andaman_footer', array(
        'title'       => __( 'Footer', 'andaman' ),
        'priority'    => 10,
    ) );

    $wp_customize->add_section( 'andaman_typography_section', array(
        'title'       => __( 'Typography', 'andaman' ),
        'priority'    => 10,
    ) );
    
    $wp_customize->add_section( 'andaman_404', array(
        'title'       => __( '404 Error', 'andaman' ),
        'priority'    => 10,
    ) );

    $wp_customize->add_section( 'andaman_other', array(
        'title'       => __( 'Other', 'andaman' ),
        'priority'    => 10,
    ) );
    
}
add_action( 'customize_register', 'andaman_sections' );

function andaman_demo_fields( $fields ) {

        include( get_template_directory() . '/framework/functions/options/header.php');
        include( get_template_directory() . '/framework/functions/options/content.php');
        include( get_template_directory() . '/framework/functions/options/portfolio.php');
        include( get_template_directory() . '/framework/functions/options/footer.php');
        include( get_template_directory() . '/framework/functions/options/typography.php');
        include( get_template_directory() . '/framework/functions/options/404.php');
        include( get_template_directory() . '/framework/functions/options/other.php');

    return $fields;
    
}
add_filter( 'kirki/fields', 'andaman_demo_fields' );

?>